import '../../domain/models/card.dart';
import '../../domain/models/home.dart';
import 'api_interface.dart';

class MockRepository extends ApiInterface {
  @override
  Future<HomeData?> loadData({OnErrorCallback? onError}) async {
    return HomeData(
      data: [
        CardData('a', 'orange',
            imageUrl:
                'https://kuban24.tv/wp-content/uploads/2023/10/photo_2023-10-02_16-08-02.jpg'),
        CardData('b', "aboba",
            imageUrl:
                'https://masterpiecer-images.s3.yandex.net/5fa453a2d4c51a7:upscaled'),
        CardData('c', "Hello world!!!",
            imageUrl:
                'https://m.media-amazon.com/images/I/81YqUbAZ0GL._AC_UF1000,1000_QL80_.jpg'),
        CardData('d', '(=^･^=)',
            imageUrl:
                'https://i.pinimg.com/236x/c8/cc/24/c8cc24bba37a25c009647b8875aae0e3.jpg'),
        CardData('e', 'плохо быть старым ' + 'трезвым и больным, ' * 5,
            imageUrl:
                'https://images.genius.com/c754c6f1755acee741881d55985a6c34.865x865x1.jpg'),
      ],
    );
  }
}
